Package: eclipse / 3.8.1-10

use-icu4j-49.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
From: Jakub Adam <jakub.adam@ktknet.cz>
Date: Sat, 28 Feb 2015 19:11:57 +0100
Subject: use-icu4j-49

---
 dependencies/dependencies.properties                                  | 2 +-
 .../com.ibm.icu_4.4.2.v20110823.jar/META-INF/MANIFEST.MF              | 2 +-
 eclipse/plugins/org.eclipse.compare.core/META-INF/MANIFEST.MF         | 4 ++--
 .../org.eclipse.equinox.p2.ui.sdk.scheduler/META-INF/MANIFEST.MF      | 2 +-
 eclipse/plugins/org.eclipse.help.webapp/META-INF/MANIFEST.MF          | 2 +-
 eclipse/plugins/org.eclipse.help/META-INF/MANIFEST.MF                 | 2 +-
 eclipse/plugins/org.eclipse.jdt.junit/META-INF/MANIFEST.MF            | 2 +-
 eclipse/plugins/org.eclipse.jdt.ui/META-INF/MANIFEST.MF               | 2 +-
 eclipse/plugins/org.eclipse.pde.api.tools.ui/META-INF/MANIFEST.MF     | 2 +-
 eclipse/plugins/org.eclipse.team.cvs.ui/META-INF/MANIFEST.MF          | 2 +-
 10 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/dependencies/dependencies.properties b/dependencies/dependencies.properties
index 430cc53..41d0f02 100644
--- a/dependencies/dependencies.properties
+++ b/dependencies/dependencies.properties
@@ -3,7 +3,7 @@
 # while the icu4j-eclipse package for regular builds (contain source bundles, feature, etc.) needs eclipse to be build. 
 # As we need to bootstrap on platforms that don't have eclipse we use the main jar for first build
 # then rebuild to get the icu4j-eclipse package rebuilt.
-com.ibm.icu_4.4.2.v20110823.jar=/usr/share/java/icu4j-eclipse/plugins/com.ibm.icu_4.4.2.v20110823.jar:/usr/share/java/com.ibm.icu-4.4.jar:/usr/share/java/com.ibm.icu.jar:/usr/share/java/icu4j.jar
+com.ibm.icu_4.4.2.v20110823.jar=/usr/share/java/icu4j-49.1.jar
 
 com.jcraft.jsch_0.1.44.v201101211721.jar=/usr/share/java/jsch.jar
 javax.servlet_3.0.0.v201112011016.jar=/usr/share/java/servlet-api-3.1.jar
diff --git a/dependencyManifests/com.ibm.icu_4.4.2.v20110823.jar/META-INF/MANIFEST.MF b/dependencyManifests/com.ibm.icu_4.4.2.v20110823.jar/META-INF/MANIFEST.MF
index f802d51..a9565ff 100644
--- a/dependencyManifests/com.ibm.icu_4.4.2.v20110823.jar/META-INF/MANIFEST.MF
+++ b/dependencyManifests/com.ibm.icu_4.4.2.v20110823.jar/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
 Manifest-Version: 1.0
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-SymbolicName: com.ibm.icu; singleton:=true
+Bundle-SymbolicName: com.ibm.icu
 Eclipse-LazyStart: true
 Bundle-Version: 4.4.2.v20110823
 Export-Package: com.ibm.icu.lang;base=true;full=true;version="4.4.2.2"
diff --git a/eclipse/plugins/org.eclipse.compare.core/META-INF/MANIFEST.MF b/eclipse/plugins/org.eclipse.compare.core/META-INF/MANIFEST.MF
index 9a8a606..dcf9c75 100644
--- a/eclipse/plugins/org.eclipse.compare.core/META-INF/MANIFEST.MF
+++ b/eclipse/plugins/org.eclipse.compare.core/META-INF/MANIFEST.MF
@@ -12,6 +12,6 @@ Export-Package: org.eclipse.compare.internal.core;x-internal:=true,
  org.eclipse.compare.internal.core.patch;x-internal:=true,
  org.eclipse.compare.patch,
  org.eclipse.compare.rangedifferencer
-Import-Package: com.ibm.icu.text;version="3.6.1",
- com.ibm.icu.util;version="3.6.1"
+Import-Package: com.ibm.icu.text,
+ com.ibm.icu.util
 Bundle-Localization: plugin
diff --git a/eclipse/plugins/org.eclipse.equinox.p2.ui.sdk.scheduler/META-INF/MANIFEST.MF b/eclipse/plugins/org.eclipse.equinox.p2.ui.sdk.scheduler/META-INF/MANIFEST.MF
index ded4160..897cc6b 100644
--- a/eclipse/plugins/org.eclipse.equinox.p2.ui.sdk.scheduler/META-INF/MANIFEST.MF
+++ b/eclipse/plugins/org.eclipse.equinox.p2.ui.sdk.scheduler/META-INF/MANIFEST.MF
@@ -15,7 +15,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5,
  J2SE-1.4,
  CDC-1.1/Foundation-1.1
 Bundle-ActivationPolicy: lazy
-Import-Package: com.ibm.icu.util;version="4.0.1",
+Import-Package: com.ibm.icu.util,
  org.eclipse.equinox.internal.p2.core.helpers,
  org.eclipse.equinox.internal.p2.engine,
  org.eclipse.equinox.internal.p2.engine.phases,
diff --git a/eclipse/plugins/org.eclipse.help.webapp/META-INF/MANIFEST.MF b/eclipse/plugins/org.eclipse.help.webapp/META-INF/MANIFEST.MF
index f9128ec..87b57b7 100644
--- a/eclipse/plugins/org.eclipse.help.webapp/META-INF/MANIFEST.MF
+++ b/eclipse/plugins/org.eclipse.help.webapp/META-INF/MANIFEST.MF
@@ -19,7 +19,7 @@ Export-Package: org.eclipse.help.internal.webapp;x-friends:="org.eclipse.ua.test
  org.eclipse.help.internal.webapp.utils;x-friends:="org.eclipse.ua.tests",
  org.eclipse.help.webapp
 Bundle-RequiredExecutionEnvironment: J2SE-1.4
-Import-Package: com.ibm.icu.text;version="3.8.0",
+Import-Package: com.ibm.icu.text,
  javax.servlet;version="2.4.0",
  javax.servlet.http;version="2.4.0",
  org.osgi.service.http;version="1.2.0"
diff --git a/eclipse/plugins/org.eclipse.help/META-INF/MANIFEST.MF b/eclipse/plugins/org.eclipse.help/META-INF/MANIFEST.MF
index 86ef1fa..3d03e9c 100644
--- a/eclipse/plugins/org.eclipse.help/META-INF/MANIFEST.MF
+++ b/eclipse/plugins/org.eclipse.help/META-INF/MANIFEST.MF
@@ -59,7 +59,7 @@ Export-Package: org.eclipse.help,
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.6.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.200,4.0.0)";visibility:=reexport
 Eclipse-LazyStart: true
-Import-Package: com.ibm.icu.text;version="3.8.0",
+Import-Package: com.ibm.icu.text,
  javax.xml.parsers,
  javax.xml.transform,
  javax.xml.transform.dom,
diff --git a/eclipse/plugins/org.eclipse.jdt.junit/META-INF/MANIFEST.MF b/eclipse/plugins/org.eclipse.jdt.junit/META-INF/MANIFEST.MF
index dc9c32a..112841d 100644
--- a/eclipse/plugins/org.eclipse.jdt.junit/META-INF/MANIFEST.MF
+++ b/eclipse/plugins/org.eclipse.jdt.junit/META-INF/MANIFEST.MF
@@ -37,5 +37,5 @@ Require-Bundle:
  org.eclipse.core.variables;bundle-version="[3.2.200,4.0.0)",
  org.eclipse.ltk.ui.refactoring;bundle-version="[3.5.0,4.0.0)",
  org.eclipse.jdt.junit.core;bundle-version="[3.6.0,4.0.0)";visibility:=reexport,
- com.ibm.icu;bundle-version="4.4.2"
+ com.ibm.icu
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/eclipse/plugins/org.eclipse.jdt.ui/META-INF/MANIFEST.MF b/eclipse/plugins/org.eclipse.jdt.ui/META-INF/MANIFEST.MF
index fc859bb..a19c4cc 100644
--- a/eclipse/plugins/org.eclipse.jdt.ui/META-INF/MANIFEST.MF
+++ b/eclipse/plugins/org.eclipse.jdt.ui/META-INF/MANIFEST.MF
@@ -138,5 +138,5 @@ Require-Bundle:
  org.eclipse.ui.navigator;bundle-version="[3.3.200,4.0.0)",
  org.eclipse.ui.navigator.resources;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.jdt.core.manipulation;bundle-version="[1.4.0,2.0.0)",
- com.ibm.icu;bundle-version="4.4.2"
+ com.ibm.icu
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/eclipse/plugins/org.eclipse.pde.api.tools.ui/META-INF/MANIFEST.MF b/eclipse/plugins/org.eclipse.pde.api.tools.ui/META-INF/MANIFEST.MF
index 51a6ee2..56a0359 100644
--- a/eclipse/plugins/org.eclipse.pde.api.tools.ui/META-INF/MANIFEST.MF
+++ b/eclipse/plugins/org.eclipse.pde.api.tools.ui/META-INF/MANIFEST.MF
@@ -39,4 +39,4 @@ Export-Package: org.eclipse.pde.api.tools.ui.internal;x-friends:="org.eclipse.pd
  org.eclipse.pde.api.tools.ui.internal.use;x-internal:=true,
  org.eclipse.pde.api.tools.ui.internal.views;x-internal:=true,
  org.eclipse.pde.api.tools.ui.internal.wizards;x-friends:="org.eclipse.pde.api.tools.tests"
-Import-Package: com.ibm.icu.text;version="3.6.1"
+Import-Package: com.ibm.icu.text
diff --git a/eclipse/plugins/org.eclipse.team.cvs.ui/META-INF/MANIFEST.MF b/eclipse/plugins/org.eclipse.team.cvs.ui/META-INF/MANIFEST.MF
index 40034ab..e0d711f 100644
--- a/eclipse/plugins/org.eclipse.team.cvs.ui/META-INF/MANIFEST.MF
+++ b/eclipse/plugins/org.eclipse.team.cvs.ui/META-INF/MANIFEST.MF
@@ -31,6 +31,6 @@ Require-Bundle: org.eclipse.ui.ide;bundle-version="[3.3.0,4.0.0)";resolution:=op
  org.eclipse.compare;bundle-version="[3.3.0,4.0.0)",
  org.eclipse.ui.navigator;bundle-version="[3.3.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="[3.2.0,4.0.0)",
- com.ibm.icu;bundle-version="4.4.2"
+ com.ibm.icu
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.4